<?php

/**psr-4 */
require_once "vendor/autoload.php";

use App\Libreria\Conexion;
use App\Models\Empresa;
new Conexion();


require_once('session.php');
$count = 0;
foreach ($_SESSION['privilegios'] as $key) {
    if ($key->nombre == "empresa") {
        $count++;
    }
}
if ($count == 0) {
    echo "acceso denegado";
    die();
}

$empresa = Empresa::first();

$loader = new \Twig\Loader\FilesystemLoader('public/views');
$twig = new \Twig\Environment($loader, [
    'debug' => true,
    'cache' => false,
]);

$respuesta = null;
if (isset($_SESSION['respuesta'])) {
    $respuesta = $_SESSION['respuesta'];
    unset($_SESSION['respuesta']);
}
echo $twig->render('config_empresa.html',[
    'respuesta' => $respuesta,
    'empresa' => $empresa,
    'user' => $_SESSION['user'],
    'privilegios' => $_SESSION['privilegios']
]);